Command Injection

Affecting centreon/centreon package, versions <19.4.5

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

Overview

centreon/centreon is a network, system, applicative supervision and monitoring tool.

Affected versions of this package are vulnerable to Command Injection. in minPlayCommand.php allows an attacker to achieve command injection via a plugin test.

Remediation

Upgrade centreon/centreon to version 19.4.5 or higher.

References

CVSS Score

6.5
medium severity
  • Attack Vector
    Network
  • Attack Complexity
    High
  • Privileges Required
    None
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    None
  • Integrity
    High
  • Availability
    Low
CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:H/A:L
Credit
mucomplex
CVE
CVE-2019-19487
CWE
CWE-78
Snyk ID
SNYK-PHP-CENTREONCENTREON-560847
Disclosed
20 Mar, 2020
Published
20 Mar, 2020